Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Class DefaultExpansionModel

    java.lang.Object
      echopointng.model.DefaultExpansionModel

All Implemented Interfaces:
  ExpansionModel, java.io.Serializable

    public class DefaultExpansionModel

extends java.lang.Object
implements ExpansionModel, java.io.Serializable

A generic implementation of ExpansionModel.

See Also:
  Serialized Form

Field Summary
`protected ChangeEvent` | `changeEvent` Only one ChangeEvent is needed per model instance since the event's only (read-only) state is the source property.
`protected boolean` | `isExpanded`
`protected EventListenerList` | `listenerList`

Constructor Summary
`DefaultExpansionModel()` An `ExpansionModel` that is not expanded
`DefaultExpansionModel(boolean isExpanded)` An `ExpansionModel` that is set to 'isExpanded'.

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a `ChangeListener` to the button.
`void` | `fireStateChanged()` Notifies all listeners that have registered for this event type.
`boolean` | `isExpanded()` Returns the model's expansion.
`void` | `removeChangeListener(ChangeListener l)` Removes a `ChangeListener` from the button.
`void` | `setExpanded(boolean isExpanded)` Sets the model's expansion Notifies any listeners if the model changes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one ChangeEvent is needed per model instance since the event's only (read-only) state is the source property. The source of events generated here is always "this".

### isExpanded

    protected boolean isExpanded

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### DefaultExpansionModel

    public DefaultExpansionModel()

  An `ExpansionModel` that is not expanded

### DefaultExpansionModel

    public DefaultExpansionModel(boolean isExpanded)

  An `ExpansionModel` that is set to 'isExpanded'.

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a `ChangeListener` to the button.

  Specified by:
    `addChangeListener` in interface `ExpansionModel`
  Parameters:
    `l` - The `ChangeListener` to be added.

### fireStateChanged

    public void fireStateChanged()

  Notifies all listeners that have registered for this event type.

### isExpanded

    public boolean isExpanded()

  Returns the model's expansion.

  Specified by:
    `isExpanded` in interface `ExpansionModel`

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a `ChangeListener` from the button.

  Specified by:
    `removeChangeListener` in interface `ExpansionModel`
  Parameters:
    `l` - The `ChangeListener` to be removed.

### setExpanded

    public void setExpanded(boolean isExpanded)

  Sets the model's expansion
  Notifies any listeners if the model changes

  Specified by:
    `setExpanded` in interface `ExpansionModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD